| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Num::IScalarFunctionParametric Interface Reference

Parameterized scalar functions with affine transformation of coordinates. More...

Inheritance diagram for IG::Num::IScalarFunctionParametric:
[legend]
Collaboration diagram for IG::Num::IScalarFunctionParametric:
[legend]

List of all members.

## Public Member Functions
double[] | GetParameters ()
| Returns parameters of the current parametric function as an array.
void | SetParameters (double[] parameters)
| Sets parameters of the current parametric functions, where parameters are specified as array.
double | GetParameter (int which)
| Returns value of the specified parameter of the parameterized function.
void | SetParameter (int which, double value)
| Sets the specific parameters of the parameterized function.
## Properties
IVector | Parameters`[get, set]`
| Parameters that define the specific function out of parametric familiy of scalar functions.
int | NumParameters`[get]`
| Gets number of parameters that define the specific function out of parametric family of scalar functions.

## Detailed Description

Parameterized scalar functions with affine transformation of coordinates.

$A Igor xx Dec10;

## Member Function Documentation

double [] IG::Num::IScalarFunctionParametric::GetParameters | ( |  | ) |

Returns parameters of the current parametric function as an array.

Usually, implementations use vector as natural representation of parameters, therefore this function creates an array and copies values.

Implemented in IG::Num::ScalarFunctionOneParametric, IG::Num::ScalarFunctionParametricBase, IG::Num::ScalarFunctionRadialOneParametric, and IG::Num::ScalarFunctionRadialParametric.

void IG::Num::IScalarFunctionParametric::SetParameters | ( | double[] | parameters | ) |

Sets parameters of the current parametric functions, where parameters are specified as array.

Parameters:

  parameters | Array of parameters. Array length must correspond to actual number of parameters.

Implemented in IG::Num::ScalarFunctionOneParametric, IG::Num::ScalarFunctionParametricBase, IG::Num::ScalarFunctionRadialOneParametric, and IG::Num::ScalarFunctionRadialParametric.

double IG::Num::IScalarFunctionParametric::GetParameter | ( | int | which | ) |

Returns value of the specified parameter of the parameterized function.

Parameters:

  which | Specifies which parameter is returned.

Implemented in IG::Num::ScalarFunctionOneParametric, IG::Num::ScalarFunctionParametricBase, IG::Num::ScalarFunctionRadialOneParametric, and IG::Num::ScalarFunctionRadialParametric.

void IG::Num::IScalarFunctionParametric::SetParameter | ( | int | which,
|  | double | value
| ) |  |

Sets the specific parameters of the parameterized function.

Parameters:

  which | Specifies which parameter is set.
  value | Value of the specified parameter.

Implemented in IG::Num::ScalarFunctionOneParametric, IG::Num::ScalarFunctionParametricBase, IG::Num::ScalarFunctionRadialOneParametric, and IG::Num::ScalarFunctionRadialParametric.

## Property Documentation

IVector IG::Num::IScalarFunctionParametric::Parameters`[get, set]`

Parameters that define the specific function out of parametric familiy of scalar functions.

Implemented in IG::Num::ScalarFunctionParametric, IG::Num::ScalarFunctionOneParametric, IG::Num::ScalarFunctionParametricBase, IG::Num::ScalarFunctionRadialOneParametric, and IG::Num::ScalarFunctionRadialParametric.

int IG::Num::IScalarFunctionParametric::NumParameters`[get]`

Gets number of parameters that define the specific function out of parametric family of scalar functions.

Implemented in IG::Num::ScalarFunctionOneParametric, IG::Num::ScalarFunctionParametricBase, IG::Num::ScalarFunctionRadialOneParametric, and IG::Num::ScalarFunctionRadialParametric.

The documentation for this interface was generated from the following file:

- FunctionScalarParametric.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events